
{*******************************************************************************


                 ------     LPT SEND    -------

              US4LEH    http://valery-us4leh.narod.ru


{*******************************************************************************}

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, LPTIO,
  ExtCtrls, StdCtrls, Buttons, ComCtrls, Gauges, Spin;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    ComboBox1: TComboBox;
    Label1: TLabel;
    GroupBox1: TGroupBox;
    ComboBox3: TComboBox;
    ComboBox2: TComboBox;
    SpeedButton1: TSpeedButton;
    Timer1: TTimer;
    CheckBox1: TCheckBox;
    StaticText1: TStaticText;
    GroupBox2: TGroupBox;
    Edit1: TEdit;
    Edit2: TEdit;
    TrackBar1: TTrackBar;
    Edit3: TEdit;
    RichEdit1: TRichEdit;
    ComboBox4: TComboBox;
    Timer3: TTimer;
    Edit4: TEdit;
    SpeedButton4: TSpeedButton;
    Timer4: TTimer;
    TrackBar2: TTrackBar;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    Label2: TLabel;
    Label3: TLabel;
    SpeedButton3: TSpeedButton;
    ComboBox5: TComboBox;
    Label4: TLabel;
    CheckBox3: TCheckBox;
    Gauge1: TGauge;
    SpeedButton2: TSpeedButton;
    Label5: TLabel;
    Label6: TLabel;
    SpeedButton5: TSpeedButton;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    SpeedButton6: TSpeedButton;
    SpeedButton7: TSpeedButton;
    CheckBox2: TCheckBox;
    Timer2: TTimer;
    SpinEdit1: TSpinEdit;
    SpinEdit2: TSpinEdit;
    Edit6: TEdit;
    CheckBox4: TCheckBox;
    SpeedButton8: TSpeedButton;

    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure ComboBox3Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject); 
    procedure SpeedButton4Click(Sender: TObject);
    procedure Timer3Timer(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Edit4Change(Sender: TObject);
    procedure Timer4Timer(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure TrackBar2Change(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure SpeedButton8Click(Sender: TObject);
    procedure SpeedButton7Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure FormActivate(Sender: TObject);



  private
    { Private declarations }
    Lpt : TLptPortConnection;
  public
    { Public declarations }
    function GetCurrentPort : byte;     //   ComboBox1     
    function GetCurrentRegister : byte; //   ComboBox2     



 //*********************PIN**************************************************
     function Pin2 : boolean;
     function Pin3 : boolean ;
     function Pin4 : boolean ;
     function Pin5 : boolean ;
     function Pin6 : boolean ;
     function Pin7 : boolean ;
     function Pin8 : boolean ;
     function Pin9 : boolean ;

     function Pin1 : boolean ;
     function Pin14 : boolean ;
     function Pin16 : boolean ;
     function Pin17 : boolean ;

     function Pin11 : boolean ;
     function Pin10 : boolean ;
     function Pin12 : boolean ;
     function Pin13 : boolean ;
     function Pin15 : boolean ;
   //**************************************************************************

   {  }
   function Bits : boolean ;
   function CLK : boolean ;   
   procedure PinInfo ;
   procedure RX2;
   procedure TX;

   {------------  Pin -------------------------------}

     procedure ButtonPin2;
     procedure ButtonPin3;
     procedure ButtonPin4;
     procedure ButtonPin5;
     procedure ButtonPin6;
     procedure ButtonPin7;
     procedure ButtonPin8;
     procedure ButtonPin9;

     procedure ButtonPin1;
     procedure ButtonPin14;
     procedure ButtonPin16;
     procedure ButtonPin17;

   //*************************************************************************

  end;

var
  Form1: TForm1;

implementation
 {       /   }
  Var
  StopRX, StopTX :boolean;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var msg : AnsiString;
begin
 Lpt := TLptPortConnection.Create;
 if not Lpt.Ready then
  begin {    --    }
  msg := '    Lpt,   ERROR,   = ' + IntToStr(GetLastError());
  Application.MessageBox(PChar(msg),'ERROR',MB_OK);
  Application.Terminate; // 
  end;
 //         ComboBox-e
 ComboBox1.Items.Clear;
 ComboBox1.Text := '';
 if Lpt.IsPortPresent(LPT1) then ComboBox1.Items.Add('$3BC');
 if Lpt.IsPortPresent(LPT2) then ComboBox1.Items.Add('$378'); //-: $378   LPT2! 
 if Lpt.IsPortPresent(LPT3) then ComboBox1.Items.Add('$278');

 if 0<>ComboBox1.Items.Count then ComboBox1.ItemIndex := 0;
end;

procedure TForm1.FormDestroy(Sender: TObject); //  
begin
 Lpt.Destroy;
 Timer1.Enabled := false;
 Timer2.Enabled := false;
 Timer3.Enabled := false;
 Timer4.Enabled := false;
{    ,    }
end;




function TForm1.GetCurrentPort : byte;     //   ComboBox1     
begin
 if '$3BC' = ComboBox1.Text then
  GetCurrentPort:=LPT1
                            else
  if '$378' = ComboBox1.Text then
   GetCurrentPort:=LPT2      else
   GetCurrentPort:=LPT3;
end;




function TForm1.GetCurrentRegister : byte; //   ComboBox2     
begin
 if '' = ComboBox2.Text then
  GetCurrentRegister:=LPT_DATA_REG
                              else
  if '' = ComboBox2.Text       then
   GetCurrentRegister:=LPT_STATE_REG    else
   GetCurrentRegister:=LPT_CONTROL_REG;
end;


//***********  - PIN - *******************************************

      
 function TForm1.Pin2 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d and (1 = (1 and Lpt.ReadPort( (GetCurrentPort) ,0))) ;
     Pin2 := d;
 end;

 function TForm1.Pin3 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d and (2 = (2 and Lpt.ReadPort(GetCurrentPort,0))) ;
     Pin3 := d;
 end;

 function TForm1.Pin4 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d and (4 = (4 and Lpt.ReadPort(GetCurrentPort,0))) ;
     Pin4 := d;
 end;

 function TForm1.Pin5 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d and (8 = (8 and Lpt.ReadPort(GetCurrentPort,0))) ;
     Pin5 := d;
 end;

 function TForm1.Pin6 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d and (16 = (16 and Lpt.ReadPort(GetCurrentPort,0))) ;
     Pin6 := d;
 end;

 function TForm1.Pin7 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d and (32 = (32 and Lpt.ReadPort(GetCurrentPort,0))) ;
     Pin7 := d;
 end;

 function TForm1.Pin8 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d and (64 = (64 and Lpt.ReadPort(GetCurrentPort,0))) ;
     Pin8 := d;
 end;

 function TForm1.Pin9 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d and (128 = (128 and Lpt.ReadPort(GetCurrentPort,0))) ;
     Pin9 := d;
 end;
//-------------------------------------------------------

 
 function TForm1.Pin1 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d xor (STROBE  = (STROBE  and Lpt.ReadPort(GetCurrentPort,2))) ;
     Pin1 := d;
 end;
 
 function TForm1.Pin14 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d xor (AUTOFEED  = (AUTOFEED  and Lpt.ReadPort(GetCurrentPort,2))) ;
     Pin14 := d;
 end;
 
 function TForm1.Pin16 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d and (INIT  = (INIT  and Lpt.ReadPort(GetCurrentPort,2))) ;
     Pin16 := d;
 end;
 
 function TForm1.Pin17 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d xor (SELECTIN  = (SELECTIN  and Lpt.ReadPort(GetCurrentPort,2))) ;
     Pin17 := d;
 end;

 //--------------------------------------------------------
 function TForm1.Pin11 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d xor(BUSY = (BUSY and Lpt.ReadPort(GetCurrentPort,1))) ;
     Pin11 := d;
 end;

  function TForm1.Pin10 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d and(ACK  = (ACK  and Lpt.ReadPort(GetCurrentPort,1))) ;
     Pin10 := d;
 end;

 function TForm1.Pin12 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d and(PAPEREND  = (PAPEREND  and Lpt.ReadPort(GetCurrentPort,1))) ;
     Pin12 := d;
 end;

 function TForm1.Pin13 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d and(SELECT = (SELECT  and Lpt.ReadPort(GetCurrentPort,1))) ;
     Pin13 := d;
 end;

 function TForm1.Pin15 : boolean ;
 Var
 d : boolean;
 begin
     d := true;
     d := d and(ERROR  = (ERROR  and Lpt.ReadPort(GetCurrentPort,1))) ;
     Pin15 := d;
 end;     

//******************************************************************************
{----------------------- Pin ---------------------------------}

 procedure TForm1.ButtonPin2;
 begin
 Lpt.WritePort (GetCurrentPort,0,(1 xor Lpt.ReadPort( (GetCurrentPort) ,0) ));
 end;

 procedure TForm1.ButtonPin3;
 begin
 Lpt.WritePort (GetCurrentPort,0,(2 xor Lpt.ReadPort( (GetCurrentPort) ,0) ));
 end;

 procedure TForm1.ButtonPin4;
 begin
 Lpt.WritePort (GetCurrentPort,0,(4 xor Lpt.ReadPort( (GetCurrentPort) ,0) ));
 end;

 procedure TForm1.ButtonPin5;
 begin
 Lpt.WritePort (GetCurrentPort,0,(8 xor Lpt.ReadPort( (GetCurrentPort) ,0) ));
 end;
 
 procedure TForm1.ButtonPin6;
 begin
 Lpt.WritePort (GetCurrentPort,0,(16 xor Lpt.ReadPort( (GetCurrentPort) ,0) ));
 end;
 
 procedure TForm1.ButtonPin7;
 begin
 Lpt.WritePort (GetCurrentPort,0,(32 xor Lpt.ReadPort( (GetCurrentPort) ,0) ));
 end;
 
 procedure TForm1.ButtonPin8;
 begin
 Lpt.WritePort (GetCurrentPort,0,(64 xor Lpt.ReadPort( (GetCurrentPort) ,0) ));
 end;
 
 procedure TForm1.ButtonPin9;
 begin
 Lpt.WritePort (GetCurrentPort,0,(128 xor Lpt.ReadPort( (GetCurrentPort) ,0) ));
 end;


 { -------------------    ------------------------------ }

 procedure TForm1.ButtonPin1;
 begin
 Lpt.WritePort (GetCurrentPort,2,(1 xor Lpt.ReadPort( (GetCurrentPort) ,2) ));
 end;
 
 procedure TForm1.ButtonPin14;
 begin
 Lpt.WritePort (GetCurrentPort,2,(2 xor Lpt.ReadPort( (GetCurrentPort) ,2) ));
 end;

 procedure TForm1.ButtonPin16;
 begin
 Lpt.WritePort (GetCurrentPort,2,(4 xor Lpt.ReadPort( (GetCurrentPort) ,2) ));
 end;

 procedure TForm1.ButtonPin17;
 begin
 Lpt.WritePort (GetCurrentPort,2,(8 xor Lpt.ReadPort( (GetCurrentPort) ,2) ));
 end;

 //*****************************************************************************
  
{-------  XP: lptwdmio.sys      ------------- }
{---------------------------- -------------------------------------------}





          {---------------  LPT SEND ---------------}


 {  -    }         
function TForm1.Bits : boolean ; //--   (1-2-4-8-16-32-64-128)
Var
d : boolean;
bit : byte;
begin
bit := StrToInt(ComboBox3.Text); //--   (   Pin)
d := true; {and -   }
d := d and ((bit) = ((bit) and Lpt.ReadPort(GetCurrentPort,GetCurrentRegister))) ; 
{.     .  - : Pin1, Pin14, Pin17}
if (ComboBox2.Text = '')  then
if (bit = 1) or (bit = 2) or (bit = 8)then d := not d ; //-- "or" -  ""
{.      . - : Pin11}
if (ComboBox2.Text = '')  then
if (bit = 128) then d := not d ;
{     -   }
if CheckBox1.Checked = true then d := not d ;
Bits := d;
end;



function TForm1.CLK : boolean ; //--    CLK
Var
d : boolean;
b : integer;
begin
b := StrToInt(ComboBox5.Text); //--  
d := true;
d := d and (b  = (b  and Lpt.ReadPort(GetCurrentPort,2))) ;
if CheckBox3.Checked = false then CLK := d else CLK := not d;
end;




procedure TForm1.Timer1Timer(Sender: TObject);
begin
SpeedButton1.Enabled := Bits;  //--    (  SpeedButton1)
SpeedButton3.Enabled := CLK; //--    CLK
if CLK = false then
begin
SpeedButton6.Enabled := (CLK xor Bits) or (CLK and Bits) ; //--      RX
end;
end;




{  . PinInfo, .   LPT   . Pin}
procedure TForm1.PinInfo ;
begin
if ComboBox2.Text = '' then
begin
 if ComboBox3.Text = '1' then StaticText1.Caption := ' Bit 2* = 1 :      Pin2';
 if ComboBox3.Text = '2' then StaticText1.Caption := ' Bit 2* = 2 :      Pin3';
 if ComboBox3.Text = '4' then StaticText1.Caption := ' Bit 2* = 4 :      Pin4';
 if ComboBox3.Text = '8' then StaticText1.Caption := ' Bit 2* = 8 :      Pin5';
 if ComboBox3.Text = '16' then StaticText1.Caption := ' Bit 2* = 16 :    Pin6';
 if ComboBox3.Text = '32' then StaticText1.Caption := ' Bit 2* = 32 :    Pin7';
 if ComboBox3.Text = '64' then StaticText1.Caption := ' Bit 2* = 64 :    Pin8';
 if ComboBox3.Text = '128'then StaticText1.Caption := ' Bit 2* = 128 :   Pin9';
end;

if ComboBox2.Text = '' then
begin
 if ComboBox3.Text = '1' then StaticText1.Caption := ' Bit 2* = 1 :     Pin1'  else
 if ComboBox3.Text = '2' then StaticText1.Caption := ' Bit 2* = 2 :     Pin14' else
 if ComboBox3.Text = '4' then StaticText1.Caption := ' Bit 2* = 4 :     Pin16' else
 if ComboBox3.Text = '8' then StaticText1.Caption := ' Bit 2* = 8 :     Pin17' else
 StaticText1.Caption := '   ' ;
end;

if ComboBox2.Text = '' then
begin
 if ComboBox3.Text = '8'  then StaticText1.Caption := ' Bit 2* = 8:     Pin15'  else
 if ComboBox3.Text = '16' then StaticText1.Caption := ' Bit 2* = 16:    Pin13'  else
 if ComboBox3.Text = '32' then StaticText1.Caption := ' Bit 2* = 32:    Pin12'  else
 if ComboBox3.Text = '64' then StaticText1.Caption := ' Bit 2* = 64:    Pin10'  else
 if ComboBox3.Text = '128'then StaticText1.Caption := ' Bit 2* = 128:   Pin11'  else
 StaticText1.Caption := '   ' ;
end;

end;



procedure TForm1.ComboBox3Change(Sender: TObject);
begin
PinInfo; //--     
end;

procedure TForm1.ComboBox2Change(Sender: TObject);
begin
PinInfo; //--     
end;







procedure TForm1.SpeedButton2Click(Sender: TObject);
begin

Edit1.Text := '0'; //--  
TX;  //-- .  
end;

  

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
StopRX := true;
StopTX := true;
end;

 {   "RX2" (    )}
 procedure TForm1.RX2; //--   2
 Var
 a : integer;
 begin
 Edit3.Text := '0';
 StopRX := false;  //--  / 
 While not StopRX do //-- ,     :
 begin
 a := 0;
 { --------------  1 (  Bits )--------------}
 if Edit3.Tag = 0 then  //-- TAG = 0 :   
 begin
 if Bits = true then 
 begin //--  
 a := a + 1;  //--  
 Edit3.Text := IntToStr(StrToInt(Edit3.Text)+1); // --  
 end;
 Edit3.Tag :=1; //-- TAG = 1 :   
 if a = 1 then ButtonPin2; // --   ,   in2
 end;
 if Bits = false then Edit3.Tag := 0; //-- .  . 

 { --------------  2 <CLK> (Pin16 )--------------------------}
 if Edit4.Tag = 0 then
 begin
 if CLK = true then Edit4.Text := IntToStr(StrToInt(Edit4.Text)+1);
 Edit4.Tag :=1;
 end;
 if CLK = false then Edit4.Tag := 0;
 { --------------------------------------------------------------------------}
 Sleep(TrackBar1.Position); //--    
 Application.ProcessMessages; //--   
 end;
 end;

procedure TForm1.SpeedButton4Click(Sender: TObject); //--  "" 
Var
  a,b : integer;
  begin
  if SpeedButton4.Tag = 0 then //--     :
  begin
  a := StrToInt(Edit1.Text) ; //-- 
  b := StrToInt(Edit2.Text) ; //-- 
  StopTX := not StopTX; //-- "" 
  Edit2.Text := IntToStr(b-a); //-- . .   . 
  SpeedButton4.Tag := 1; //--    
  end else MessageBeep(MB_ICONEXCLAMATION);
end;



 procedure TForm1.Timer3Timer(Sender: TObject); //--     LOG
 begin
 if CLK = false then //--  
 begin
 RichEdit1.Lines.Add (FormatDateTime('hh:mm:ss', time()) +'   ' + Edit3.Text);
 Edit3.Text := '0';
 Timer3.Enabled := false;
 end;
 end;


procedure TForm1.Edit4Change(Sender: TObject);
begin
  Timer3.Enabled := true; //--     LOG - 
end;



  procedure TForm1.TX; //--    Pin14
  Var
  a,b,c,d, i : integer;
  begin
  { . .     }
  if CheckBox4.Checked = true then
  begin
  if Pin16 = true then ButtonPin16;
  if Pin14 = false then ButtonPin14;
  if Pin2  = true then ButtonPin2;
  end;
  {  }
  d := 0 ;
  Timer2.Enabled := false ; //-- .   
  Edit1.Text := '0'; //--  
  Edit6.Text := '0';  //-- 
  SpeedButton4.Tag := 0;  //--   ""
  a := StrToInt(Edit1.Text) ; //-- 
  b := StrToInt(Edit2.Text) ; //-- 
  c := StrToInt(ComboBox4.Text); //-- 
  Gauge1.MaxValue := b;  //--    ( %)
  Gauge1.ForeColor := clBlue; //-- .
  StopTX := false ; //--   / 
  for i:= 1 to b*2 do  //--   ( :  Edit2 !)
  begin
  if StopTX = true then exit; //--  . "" -  
  ButtonPin14; //--    Pin14 ( 1 / 0)
  if Pin14 = true then a := a + 1; // --  ()   (. 1)
  Edit1.Text:= IntToStr(a); //--  . 
  Gauge1.Progress := a;  //-- .   %
  {   CLK - . 1}
  Lpt.WritePort (GetCurrentPort,2,(c or Lpt.ReadPort( (GetCurrentPort) ,2) ));
  if a = b then //--    :
  begin
  {   CLK - xor . 1 = 0}
  Lpt.WritePort (GetCurrentPort,2,(c xor Lpt.ReadPort( (GetCurrentPort) ,2) ));
  Gauge1.ForeColor := clScrollBar; //--  .   
  end;
  {  ,      }
  if  CheckBox2.Checked = true then //-- .   
  begin
  if Pin2 = true then //--    
  begin
  Edit6.Text := IntToStr(StrToInt(Edit6.Text)+1); //--  
  d := StrToInt(Edit6.Text); //--   
  end;
  {   ,  . }
  if CLK = false then
  if (d <> a) and( d <> b)  then //--    :
  begin  {  -    }
  TrackBar2.Position := TrackBar2.Position + SpinEdit2.Value ; //--   
  Label7.Caption := '     CLK            : '+
  IntToStr(TrackBar2.Position); //--   
  Timer2.Enabled := true; //-- .   
  end  else
  begin  //--    -  
  beep;
  Edit6.Text := '0';
  if d = b then Timer2.Enabled := false;
  end;
  end;
  Sleep(TrackBar2.Position); //--    
  Application.ProcessMessages; //--   
  end;
  end;



 {    "RX1"}
 procedure TForm1.Timer4Timer(Sender: TObject);
 Var
 a : integer;
 begin
 a := 0;
 { --------------  1 (  Bits )--------------}
 if Edit3.Tag = 0 then  //-- TAG = 0 :   
 begin
 if Bits = true then 
 begin //--  
 a := a + 1;  //--  
 Edit3.Text := IntToStr(StrToInt(Edit3.Text)+1); // --  
 end;
 Edit3.Tag :=1; //-- TAG = 1 :   
 if a = 1 then ButtonPin2; // --   ,   in2
 end;
 if Bits = false then Edit3.Tag := 0; //-- .  . 

 { --------------  2 (CLK )----------------------------}
 if Edit4.Tag = 0 then
 begin
 if CLK = true then Edit4.Text := IntToStr(StrToInt(Edit4.Text)+1);
 Edit4.Tag :=1;
 end;
 if CLK = false then Edit4.Tag := 0;
 { ---------------------------------------------------------------------}
 end;


procedure TForm1.RadioButton1Click(Sender: TObject); //--  RX1
begin
Timer4.Enabled := true;
StopRX := true;
Edit3.Text := '0';
end;

procedure TForm1.RadioButton2Click(Sender: TObject); //--  RX2
begin
Timer4.Enabled := false;
RX2;
Edit3.Text := '0';
end;

procedure TForm1.RadioButton3Click(Sender: TObject); //--  OFF
begin
Timer4.Enabled := false;
StopRX := true;
Edit3.Text := '0';
end;

procedure TForm1.TrackBar1Change(Sender: TObject); //--  
begin
if TrackBar1.Position = 0 then Edit3.Color := clyellow else
Edit3.Color :=  clInfoBk;
Label6.Caption := '  RX2  . :  ' + IntTOStr(TrackBar1.Position);
end;

procedure TForm1.SpeedButton5Click(Sender: TObject);
begin
 RichEdit1.Lines.SaveToFile('RX_Lod.txt');  //--   
end;

procedure TForm1.TrackBar2Change(Sender: TObject); //-- . 
begin
Label7.Caption := '     CLK             : '+
IntToStr(TrackBar2.Position);
end;


procedure TForm1.Timer2Timer(Sender: TObject);  //--   
Var
b,d : integer;
begin
b := StrToInt(Edit2.Text) ; //-- 
d := StrToInt(Edit6.Text) ; //-- 
SpeedButton2.Click  ;
if (d = b)  then  //-- . 
Timer2.Enabled := false ;
end;



procedure TForm1.SpeedButton8Click(Sender: TObject);
begin
 Form1.Caption := 'LPT SEND -  ';
 Form1.Left := Form1.Left + 220;
 WinExec('lptsend.exe',SW_SHOWNORMAL) ; 
end;

procedure TForm1.SpeedButton7Click(Sender: TObject);
begin
if MessageBox(Handle,PChar('         LPT ,     http://valery-us4leh.narod.ru'),
  PChar(''),MB_ICONINFORMATION + MB_OK +MB_DEFBUTTON2) = mrOK
  then  MessageBox(Handle,PChar('   ,             '),
  PChar('               : '),MB_ICONINFORMATION ) ;


end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
Timer2.Interval := SpinEdit1.Value;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
Application.HintColor := cllime;
end;

end.
